## org.omg.DynamicAny
Class NameDynAnyPairSeqHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.NameDynAnyPairSeqHelper

public class NameDynAnyPairSeqHelper
extends java.lang.Object

Helper class for : NameDynAnyPairSeq

Author:
  OpenORB Compiler

Constructor Summary
`NameDynAnyPairSeqHelper()`

Method Summary
`static NameDynAnyPair[]` `extract(Any a)` Extract NameDynAnyPairSeq from an any
`static java.lang.String` `id()` Return the NameDynAnyPairSeq IDL ID
`static void` `insert(Any a, NameDynAnyPair[] t)` Insert NameDynAnyPairSeq into an any
`static NameDynAnyPair[]` `read(InputStream istream)` Read NameDynAnyPairSeq from a marshalled stream
`static TypeCode` `type()` Return the NameDynAnyPairSeq TypeCode
`static void` `write(OutputStream ostream, NameDynAnyPair[] value)` Write NameDynAnyPairSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameDynAnyPairSeqHelper

    public NameDynAnyPairSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NameDynAnyPair[] t)

  Insert NameDynAnyPairSeq into an any
  Parameters:
    `a` - an any
    `t` - NameDynAnyPairSeq value

### extract

    public static NameDynAnyPair[] extract(Any a)

  Extract NameDynAnyPairSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NameDynAnyPairSeq value

### type

    public static TypeCode type()

  Return the NameDynAnyPairSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NameDynAnyPairSeq IDL ID
  Returns:
    an ID

### read

    public static NameDynAnyPair[] read(InputStream istream)

  Read NameDynAnyPairSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NameDynAnyPairSeq value

### write

    public static void write(OutputStream ostream,
                             NameDynAnyPair[] value)

  Write NameDynAnyPairSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NameDynAnyPairSeq value